How to redirect to Panthers-Perl?

Help
2004-08-28
2004-09-09
  • hannibal123

    hannibal123 - 2004-08-28

    hi,

    i want to temporay change to my Panthers-Perl back.
    But i dont know where to finde the file which decide which Version of Perl is used by the system.

    Also if i want to deinstall CamelBones, how to do it?
    I cant finde any hint on the CamelBones Homepage, also no readme in the installerpacks.

    I installed the latest Version of CamelBones Fat-Package under OSX.3.5

    Pleas help, thx a lot

     
    • Sherm Pendley

      Sherm Pendley - 2004-09-09

      The CamelBones framework will use the Perl it was built for. /Library/CamelBones.framework is a symlink to one of three different frameworks that can be installed - one for Jaguar, one for Panther, and one for Panther/5.8.4 (Fat Camel). "Fat Camel" includes only the framework for 5.8.4, so if you want your CB apps to use 5.8.1, you'll need the CamelBones runtime package, which installs that framework for you.

      Also, if you've installed Fat Camel, /usr/bin/perl is a symlink to /usr/local/cb/perl5.8.4/bin/perl. To revert standalone scripts that start with #!/usr/bin/perl to Apple's 5.8.1, delete that symlink and replace it with one that points to /usr/bin/perl5.8.1

      To de-install, just delete the files. The installation page details where everything is installed to.

      Before you do this, be aware that with "Fat Camel", the utility scripts in /usr/bin - i.e. perldoc, h2xs, cpan, etc. - are replaced with symlinks to the versions in /usr/local/cb/perl5.8.4/bin/. If you want to use these utilities after deleting /usr/local/cb/, you'll need to copy them into /usr/bin. Or, you can use Pacifist to extract the older versions from the install CD's without having to re-install the entire OS.

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks